[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.DoAutoAdjustLayout

Performs actions needed to auto-adjust the control using the specified layout policy.

## Declaration

Source position: stdctrls.pp line 606

`protected procedure TCustomListBox.DoAutoAdjustLayout(`
`const AMode: TLayoutAdjustmentPolicy;`
`const AXProportion: Double;`
`const AYProportion: Double`
`); override;`

## Arguments

`AMode` |  | Layout adjustment policy applied in the method.
`AXProportion` |  | Factor used to scale horizontal dimensions.
`AYProportion` |  | Factor used to scale vertical dimensions.

## Description

DoAutoAdjustLayout is an overridden method used to apply an auto-adjust layout policy to the control. DoAutoAdjustLayout calls the inherited method on entry.

DoAutoAdjustLayout ensures that the item height for the control is scaled using the factor in AYProportion when AMode contains the lapAutoAdjustWithoutHorizontalScrolling or lapAutoAdjustForDPI layout adjustment policy values.

DoAutoAdjustLayout is called from the AutoAdjustLayout method.

## See also

TControl.DoAutoAdjustLayout |  | Applies layout changes using the specified policy and scaling proportions to the control.